> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Getescheatmentreport



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json get /v2/giftcards/programs/{programId}/reports/escheatment
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/giftcards/programs/{programId}/reports/escheatment:
    get:
      tags:
        - Gift Cards
      summary: Getescheatmentreport
      operationId: >-
        getEscheatmentReport_v2_giftcards_programs__programId__reports_escheatment_get
      parameters:
        - name: programId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Programid
        - name: jurisdiction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jurisdiction
        - name: dormancy_days
          in: query
          required: false
          schema:
            type: integer
            maximum: 3650
            minimum: 1
            default: 1095
            title: Dormancy Days
        - name: cardId
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Cardid
        - name: X-Eposn-Customer-Token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Eposn-Customer-Token
        - name: X-Eposn-Merchant-Token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Eposn-Merchant-Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EscheatmentReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    EscheatmentReportResponse:
      properties:
        reportId:
          type: string
          title: Reportid
        generatedAt:
          type: string
          format: date-time
          title: Generatedat
        jurisdiction:
          type: string
          title: Jurisdiction
        dormancyThresholdDays:
          type: integer
          title: Dormancythresholddays
        entries:
          items:
            $ref: '#/components/schemas/EscheatmentReportEntryResponse'
          type: array
          title: Entries
        totalLiability:
          type: string
          title: Totalliability
        entriesCount:
          type: integer
          title: Entriescount
      type: object
      required:
        - reportId
        - generatedAt
        - jurisdiction
        - dormancyThresholdDays
        - entries
        - totalLiability
        - entriesCount
      title: EscheatmentReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EscheatmentReportEntryResponse:
      properties:
        cardId:
          type: string
          title: Cardid
        cardNumber:
          type: string
          title: Cardnumber
        balance:
          type: string
          title: Balance
        lastActivityDate:
          type: string
          format: date-time
          title: Lastactivitydate
        dormancyDays:
          type: integer
          title: Dormancydays
        jurisdiction:
          type: string
          title: Jurisdiction
        liabilityAmount:
          type: string
          title: Liabilityamount
        customerEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Customeremail
        merchantId:
          type: string
          title: Merchantid
      type: object
      required:
        - cardId
        - cardNumber
        - balance
        - lastActivityDate
        - dormancyDays
        - jurisdiction
        - liabilityAmount
        - customerEmail
        - merchantId
      title: EscheatmentReportEntryResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````